@import 'variables';

.upload-page {
  width: 100%;
  height: calc(100vh - 110px);
  background: #f8f6fa;
  position: relative;
  display: flex;
}

.content-loading {
  display: block;
  width: 100%;
  height: calc(100vh - 266px);
  position: absolute;
  top: 0;
  left: 0;
}

.upload-sidebar {
  width: 240px;
  flex-shrink: 0;
  background: $white;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);

  h5 {
    background-color: $gray-lightest;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
    height: 30px;
    margin: 0;
    padding: 7px;
    text-align: center;

    color: $primary-color;
    font-size: 11px;
    font-weight: 500;
    line-height: 16px;
    span {
      display: inline-block;
      width: 16px;
      height: 16px;
      background: $primary-color;
      color: $white-text-color;
      font-size: 9px;
      font-weight: 900;
      border-radius: 3px;
      margin-right: 2px;
    }
  }

  .content {
    padding: 10px 6px;
    height: calc(100% - 60px);
  }

  // cover tab
  ::ng-deep.cover-tab {
    margin-top: 20px;

    .mat-tab-header-pagination-controls-enabled {
      .mat-tab-header-pagination {
        display: none;
      }
    }

    .mat-tab-body-wrapper {
      height: 100%;
    }

    .mat-tab-label {
      min-width: 110px;
      font-size: 13px;
      color: $gray;
      opacity: 1;
      text-transform: uppercase;
      &.mat-tab-label-active {
        font-weight: bold;
        color: $primary-color;
      }
    }
    .mat-ink-bar {
      background: $primary-color;
    }
  }

  idemg-upload-progress {
    display: block;
    margin-top: 8px;
  }
}

.upload-label {
  margin-top: 10px;
  color: $gray-darker;
  font-size: 12px;
  font-weight: 700;
  line-height: 20px;
}

.page-content {
  position: relative;
}

.file-list {
  padding: 0;
  margin: 3px 0;
  li {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 6px 8px 12px;
    margin-top: 6px;
    cursor: pointer;
    border-radius: 4px;
    background-color: $gray-lightest;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);

    &.selected {
      background-color: $primary-color;
      color: $white-text-color;
      .name,
      .time,
      .mat-icon {
        color: $white-text-color;
      }
    }

    .name {
      margin-bottom: 4px;
      color: $gray-darker;
      font-size: 13px;
      font-weight: 500;
      line-height: 16px;
    }

    .time {
      color: $gray-medium;
      font-size: 11px;
      font-weight: 400;
      line-height: 13px;
    }

    .mat-icon-button {
      width: auto;
    }

    mat-menu {
      display: none;
    }
  }

  &.rejected {
    .mat-icon-button {
      color: $primary-color;
    }
  }
}
.red-text {
  color: $red-color;
}

.no-data {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  height: 100%;
  width: 100%;

  color: $gray-medium;
  font-size: 13px;
  font-weight: 400;
  line-height: 17px;
  text-align: center;
  /deep/ .mat-icon {
    margin-bottom: 10px;
    font-size: 48px;
    width: 48px;
    height: 48px;
    color: #e0e0e0;
  }
}

.file-data {
  .header {
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;

    h5 {
      margin: 0;
      color: $gray-darker;
      font-size: 16px;
      font-weight: 700;
      line-height: 19px;
    }
    button + button {
      margin-left: 10px;
    }
  }
}

idemg-line-chart {
  display: block;
  height: calc(100% - 76px);
  width: 100%;
}
